All Classes Namespaces Functions Variables Groups Pages
Util Module

# Util Module Introduction

The Util module provides some generally-useful routines that are more suitable for writing in Qore than in C++.

To use this module, use `"%requires Util"` in your code.

All the public symbols in the module are defined in the Util namespace

Functions:

- Util::absolute_path()
  - Util::absolute_path_unix()
  - Util::absolute_path_windows()
- Util::compare_version()
- Util::get_byte_size()
- Util::get_exception_string()
- Util::get_marketing_byte_size()
- Util::get_random_string()
- Util::normalize_dir()
  - Util::normalize_dir_unix()
  - Util::normalize_dir_windows()
- Util::parse_to_qore_value()